This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 764311 (GLUSTER-2579)

Summary: glusterd crashes consistently on volume start
Product: [Community] GlusterFS Reporter: Shehjar Tikoo <shehjart>
Component: glusterdAssignee: Pranith Kumar K <pkarampu>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: mainlineCC: gluster-bugs, vijay
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
glusterd crash log file none

Description Shehjar Tikoo 2011-03-23 02:30:52 EDT
Created attachment 459
Comment 1 Shehjar Tikoo 2011-03-23 05:30:02 EDT
Backtrace:

Program terminated with signal 11, Segmentation fault.
#0  0x00007f8afa9ac599 in glusterd_op_ac_send_lock (event=<value optimized out>, ctx=<value optimized out>) at glusterd-op-sm.c:5568
5568    glusterd-op-sm.c: No such file or directory.
        in glusterd-op-sm.c
Missing separate debuginfos, use: debuginfo-install libibverbs-1.1.2-2.fc11.x86_64
(gdb) bt
#0  0x00007f8afa9ac599 in glusterd_op_ac_send_lock (event=<value optimized out>, ctx=<value optimized out>) at glusterd-op-sm.c:5568
#1  0x00007f8afa9b5a3e in glusterd_op_sm () at glusterd-op-sm.c:7533
#2  0x00007f8afa9a8dda in glusterd_handle_cli_start_volume (req=0x7f8afa8d7024) at glusterd-handler.c:1108
#3  0x00007f8afc56671f in rpcsvc_handle_rpc_call (svc=0x15499c0, trans=<value optimized out>, msg=<value optimized out>) at rpcsvc.c:480
#4  0x00007f8afc566883 in rpcsvc_notify (trans=0x156ee80, mydata=0x1, event=<value optimized out>, data=0x3871e17280) at rpcsvc.c:576
#5  0x00007f8afc567228 in rpc_transport_notify (this=0x1, event=<value optimized out>, data=<value optimized out>)
    at rpc-transport.c:899
#6  0x00007f8afa6cfcd4 in socket_event_poll_in (this=0x156ee80) at socket.c:1641
#7  0x00007f8afa6cfecd in socket_event_handler (fd=<value optimized out>, idx=15, data=0x156ee80, poll_in=1, poll_out=0, 
    poll_err=<value optimized out>) at socket.c:1756
#8  0x00007f8afc7ae454 in event_dispatch_epoll_handler (i=<value optimized out>, events=<value optimized out>, 
    event_pool=<value optimized out>) at event.c:794
#9  event_dispatch_epoll (i=<value optimized out>, events=<value optimized out>, event_pool=<value optimized out>) at event.c:856
#10 0x0000000000405c81 in main (argc=<value optimized out>, argv=0x7fffa0684ac8) at glusterfsd.c:1476



Partial Log:

[2011-03-23 07:46:42.840792] I [glusterd-handler.c:1078:glusterd_handle_cli_start_volume] 0-glusterd: Received start vol reqfor volume posix
[2011-03-23 07:46:42.840851] I [glusterd-utils.c:243:glusterd_lock] 0-glusterd: Cluster lock held by 6150de3a-482c-4987-b2ba-8a490be52162
[2011-03-23 07:46:42.840865] I [glusterd-handler.c:420:glusterd_op_txn_begin] 0-glusterd: Acquired local lock
pending frames:

patchset: git://git.gluster.com/glusterfs.git
signal received: 11
time of crash: 2011-03-23 07:46:42
configuration details:
argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.1.0git
/lib64/libc.so.6[0x38710332f0]
/usr/local/lib/glusterfs/3.1.0git/xlator/mgmt/glusterd.so[0x7f8afa9ac599]
/usr/local/lib/glusterfs/3.1.0git/xlator/mgmt/glusterd.so(glusterd_op_sm+0xee)[0x7f8afa9b5a3e]
/usr/local/lib/glusterfs/3.1.0git/xlator/mgmt/glusterd.so(glusterd_handle_cli_start_volume+0x8a)[0x7f8afa9a8dda]
/usr/local/lib/libgfrpc.so.0(rpcsvc_handle_rpc_call+0x24f)[0x7f8afc56671f]
/usr/local/lib/libgfrpc.so.0(rpcsvc_notify+0x93)[0x7f8afc566883]
/usr/local/lib/libgfrpc.so.0(rpc_transport_notify+0x28)[0x7f8afc567228]
/usr/local/lib/glusterfs/3.1.0git/rpc-transport/socket.so(socket_event_poll_in+0x34)[0x7f8afa6cfcd4]
/usr/local/lib/glusterfs/3.1.0git/rpc-transport/socket.so(socket_event_handler+0x1dd)[0x7f8afa6cfecd]
/usr/local/lib/libglusterfs.so.0[0x7f8afc7ae454]
glusterd(main+0x251)[0x405c81]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x387101ea4d]
glusterd[0x4035e9]


For complete log, please see the attachment.
Comment 2 Pranith Kumar K 2011-03-26 10:44:25 EDT
(In reply to comment #1)
> Created an attachment (id=459) [details]
> glusterd crash log file

Shehjar,
      Is it still happening?.

Pranith
Comment 3 Pranith Kumar K 2011-03-28 01:57:54 EDT
Please feel free to re-open this bug, when it is reproduced.

Pranith